package com.caimei.module.base.entity.po;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * clubinfo
 * @author
 */
@Data
public class Clubinfo implements Serializable {
    /**
     * 会所资料ID
     */
    private Integer clubInfoID;

    /**
     * 会所clubID
     */
    private Integer clubID;

    /**
     * 【已废弃】会所gclubID
     */
    private Integer gclubID;

    /**
     * userID
     */
    private Integer userID;

    /**
     * 会所面积
     */
    private Double area;

    /**
     * 美容床数
     */
    private Integer bedNums;

    /**
     * 美容师数
     */
    private Integer beauticians;

    /**
     * 月业绩
     */
    private String monthAchievement;

    /**
     * 促销业绩
     */
    private String promotionAchievement;

    /**
     * 促销业绩
     */
    private String yearAchievement;

    /**
     * A类会员人数
     */
    private Integer cateA;

    /**
     * A类会员消费金额
     */
    private BigDecimal consumeA;

    /**
     * B类会员人数
     */
    private Integer cateB;

    /**
     * B类会员消费金额
     */
    private BigDecimal consumeB;

    /**
     * C类会员人数
     */
    private Integer cateC;

    /**
     * C类会员消费金额
     */
    private BigDecimal consumeC;

    /**
     * 店内所经营品牌及推广优势
     */
    private String brandSuperiority;

    /**
     * 临近一次促销的模式及达成业绩
     */
    private String lastPromotion;

    /**
     * 最高业绩
     */
    private String highestAchievement;

    /**
     * 到店人数
     */
    private Integer reachPepole;

    /**
     * 成交人数
     */
    private Integer clinchPepole;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    private static final long serialVersionUID = 1L;
}
