package com.caimei.module.base.entity.po;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * cm_order_pay_link
 * @author 
 */
@Data
public class CmOrderPayLink implements Serializable {
    private Integer id;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 链接标识
     */
    private String linkLogo;

    /**
     * 本次待付款金额
     */
    private BigDecimal unpaidAmount;

    /**
     * 链接生成时间
     */
    private Date generateTime;

    /**
     * 链接有效时间
     */
    private Date effectiveTime;

    /**
     * 支付状态,0未支付,1已支付
     */
    private String payStatus;

    /**
     * 删除标记 0 否，其余是
     */
    private String delFlag;

    private static final long serialVersionUID = 1L;
}