package com.caimei.module.base.entity.po;

import java.io.Serializable;
import java.math.BigDecimal;

import lombok.Data;

/**
 * repeat_purchase_price
 *
 * @author
 */
@Data
public class RepeatPurchasePrice implements Serializable {
    private Integer id;

    /**
     * 用户id
     */
    private Integer userId;

    /**
     * 商品ID
     */
    private Integer productId;

    /**
     * 供应商ID
     */
    private Integer shopId;

    /**
     * 供应商名称
     */
    private String shopName;

    /**
     * 税率
     */
    private BigDecimal taxRate;

    /**
     * 当前价
     */
    private BigDecimal currentPrice;

    /**
     * 下单时间
     */
    private String createTime;

    /**
     * 删除标记 0否 其余是
     */
    private String delFlag;

    private Long orderId;

    private Long clubId;

    private static final long serialVersionUID = 1L;
}