package com.caimei.module.base.entity.po;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * repeat_purchase_price_history
 * @author
 */
@Data
public class RepeatPurchasePriceHistory implements Serializable {
    private Integer id;

    /**
     * 用户id
     */
    private Integer userId;

    /**
     * 商品ID
     */
    private Integer productId;

    /**
     * 价格
     */
    private BigDecimal price;

    /**
     * 当时成本价
     */
    private BigDecimal currentCostPrice;

    /**
     * 下单时间
     */
    private String createTime;

    /**
     * 删除标记 0否 其余是
     */
    private String delFlag;

    private Long orderId;

    private Long clubId;

    private Integer cmCartId;

    private static final long serialVersionUID = 1L;
}
