package com.caimei.module.base.entity.vo;

import com.caimei.module.base.entity.po.NewPageFloorImage;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Map;

/**
 * Description
 *
 * @author : plf
 * @date : 2020/12/16
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class FloorImageVo extends NewPageFloorImage {
    /**
     * 商品信息
     */
    private ProductVo product;

    /**
     * 区分商品和二级列表,1 商品 2 二级列表
     */
    private Integer listType;

    /**
     * 区分商品和二级列表,1 商品 2 二级列表
     */
    private Integer linkType;

    /**
     * 链接包含的参数
     */
    private Map<String, Object> linkParam;

}
